Bug 1479289 - Error message failed to show up the first time typing invalid char in input box
Error message failed to show up the first time typing invalid char in input box
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.6.0
Unspecified Unspecified
low Severity low
: ---
: 3.7.0
Assigned To: Samuel Padgett
XiaochuanWang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 05:15 EDT by XiaochuanWang
Modified: 2017-11-28 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 17:06:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiaochuanWang 2017-08-08 05:15:41 EDT
Description of problem:
Go to https://xxx:8443/console/project/xiaocwan-t/create?tab=deployImage
Select a imagestream and istag, try input "-" for image name without making cursor out, error message does not show up. 

Version-Release number of selected component (if applicable):
OpenShift Master:    v3.6.173.0.5

How reproducible:
Always

Steps to Reproduce:
1. Go to https://xxx:8443/console/project/xiaocwan-t/create?tab=deployImage
Select a imagestream and istag for "Image Stream Tag"
2. Try input "-" for image name without making cursor out
3. (For compare) Try to input "-" in Environment Variables without making cursor out
4. Refresh page, try one char and check error message, try input 2 chars and delete one, check error message again

Actual results:
2. Error message does not show up. 
3. Error message shows up.
4. One char does not trigger error message, but it shows when the 2nd char is deleted

Expected results:
2 & 4: Error message should show up as soon as user input.

Additional info:
Step 2: "-" will trigger error message in Environment Variables when first time user input and keep cursor inside input box.
Step 4: it reproduced on both image name input box and Environment Variables
Comment 1 Samuel Padgett 2017-08-08 11:31:10 EDT
This is working as intended. In most inputs, we don't show errors until the user is done typing and the field loses focuses. This prevents red error messages from flickering and flashing annoyingly while the user types.

I understand this is different from the environment variables inputs. I'd argue that it's the environment variables inputs that are wrong. Leaving the bug open to fix that.
Comment 2 Samuel Padgett 2017-08-08 11:51:28 EDT
The following PR changes the environment variable editor inputs so that they will not show validation errors until they lose focus:

https://github.com/openshift/origin-web-console/pull/1918
Comment 3 openshift-github-bot 2017-08-08 13:19:33 EDT
Commit pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/8db1b91be5ab87390e74dc39cd9697b32eb9d26c
Bug 1479289 - Don't show env validation errors until blur

Wait until the input loses focus before showing validation errors in the
key value editor. This is consistent with our other forms and prevents
errors from flickering as the user types.

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1479289
Comment 5 XiaochuanWang 2017-10-09 02:22:06 EDT
The environment variables inputs is now same as image name, that's the expected fix according to comment 1 and PR in comment 2. Behavior is that they will not show validation errors until they lose focus.

Verified on:
OpenShift Master:     v3.7.0-0.143.1
Kubernetes Master:    v1.7.0+80709908fd
Comment 8 errata-xmlrpc 2017-11-28 17:06:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188

Note You need to log in before you can comment on or make changes to this bug.